org.freeplane.plugin.script.proxy

## Interface Proxy.NodeStyle

- All Superinterfaces:
    Proxy.NodeStyleRO
  Enclosing interface:
    Proxy

      public static interface Proxy.NodeStyle
      extends Proxy.NodeStyleRO

  Node's style: `node.style` - read-write.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBackgroundColor(java.awt.Color color)`
    `void` | `setBackgroundColorCode(java.lang.String rgbString)`
    `void` | `setFloating(boolean floating)` sets the floating style for the node (aka "free node").
    `void` | `setMaxNodeWidth(int width)` minNodeWidth in px - set to -1 to restore default.
    `void` | `setMaxNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)` Set to null to restore default
    `void` | `setMaxNodeWidth(java.lang.String width)` use length units like "1 cm" or "6 pt"
    `void` | `setMinNodeWidth(int width)` minNodeWidth in px - set to -1 to restore default.
    `void` | `setMinNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)` Set to null to restore default
    `void` | `setMinNodeWidth(java.lang.String width)` use length units like "1 cm" or "6 pt"
    `void` | `setName(java.lang.String styleName)` Selects a style by name, see menu Styles → Pre/Userdefined styles for valid style names or use `Proxy.NodeStyleRO.getName()` to display the name of a node's style.
    `void` | `setNodeTextColor(java.awt.Color color)` Deprecated. since 1.2 - use `setTextColor(Color)` instead.
    `void` | `setNumberingEnabled(boolean enabled)`
    `void` | `setStyle(org.freeplane.features.styles.IStyle style)`
    `void` | `setTextColor(java.awt.Color color)`
    `void` | `setTextColorCode(java.lang.String rgbString)`

    - ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.NodeStyleRO

      `getBackgroundColor, getBackgroundColorCode, getEdge, getFont, getMaxNodeWidth, getMinNodeWidth, getName, getNodeTextColor, getStyle, getStyleNode, getTextColor, getTextColorCode, isFloating, isNumberingEnabled`

- - ### Method Detail

    - #### setStyle

          void setStyle(org.freeplane.features.styles.IStyle style)

    - #### setName

          void setName(java.lang.String styleName)

      Selects a style by name, see menu Styles → Pre/Userdefined styles for valid style names or use `Proxy.NodeStyleRO.getName()` to display the name of a node's style. It's guaranteed that `node.style.name = node.style.name` does not change the style.
      Parameters:
        `styleName` - can be the name visible in the style menu or its translation key as returned by `Proxy.NodeStyleRO.getName()`. (Names of predefined styles are subject to translation.) Only translation keys will continue to work if the language setting is changed.
      Throws:
        `java.lang.IllegalArgumentException` - if the style does not exist.
      Since:
        1.2.2

    - #### setBackgroundColor

          void setBackgroundColor(java.awt.Color color)

    - #### setBackgroundColorCode

          void setBackgroundColorCode(java.lang.String rgbString)

      Parameters:
        `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
      Since:
        1.2

    - #### setNodeTextColor

          void setNodeTextColor(java.awt.Color color)

      Deprecated. since 1.2 - use `setTextColor(Color)` instead.

    - #### setTextColor

          void setTextColor(java.awt.Color color)

      Since:
        1.2

    - #### setTextColorCode

          void setTextColorCode(java.lang.String rgbString)

      Parameters:
        `rgbString` - a HTML color spec like #ff0000 (red) or #222222 (darkgray).
      Since:
        1.2

    - #### setFloating

          void setFloating(boolean floating)

      sets the floating style for the node (aka "free node"). Should normally only be applied to direct children of the root node.
      Since:
        1.2

    - #### setMinNodeWidth

          void setMinNodeWidth(int width)

      minNodeWidth in px - set to -1 to restore default.
      Since:
        1.2.20

    - #### setMinNodeWidth

          void setMinNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)

      Set to null to restore default
      Since:
        1.5.6

    - #### setMinNodeWidth

          void setMinNodeWidth(java.lang.String width)

      use length units like "1 cm" or "6 pt"
      Since:
        1.5.6

    - #### setMaxNodeWidth

          void setMaxNodeWidth(int width)

      minNodeWidth in px - set to -1 to restore default.
      Since:
        1.2.20

    - #### setMaxNodeWidth

          void setMaxNodeWidth(org.freeplane.core.util.Quantity<org.freeplane.core.ui.LengthUnits> width)

      Set to null to restore default
      Since:
        1.5.6

    - #### setMaxNodeWidth

          void setMaxNodeWidth(java.lang.String width)

      use length units like "1 cm" or "6 pt"
      Since:
        1.5.6

    - #### setNumberingEnabled

          void setNumberingEnabled(boolean enabled)

      Since:
        1.3.8